uuid: a1786063-e39e-4da7-bfd2-3608eb1c4813
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_complete_site_area
class: Drupal\node\Plugin\migrate\D7NodeTranslation
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Node complete (Site area)'
source:
  plugin: d7_node_complete
  node_type: site_area
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: timestamp
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  content_translation_source:
    -
      plugin: get
      source: source_langcode
  comment_node_site_area/0/status:
    -
      plugin: get
      source: comment
  body:
    -
      plugin: get
      source: body
  field_about:
    -
      plugin: sub_process
      source: field_about
      process:
        target_id: tid
  field_above_paragraph:
    -
      plugin: get
      source: field_above_paragraph
  field_affiliated_organization:
    -
      plugin: sub_process
      source: field_affiliated_organization
      process:
        target_id: tid
  field_archive_timestamp:
    -
      plugin: sub_process
      source: field_archive_timestamp
      process:
        value:
          plugin: format_date
          from_format: U
          to_format: U
          source: value
  field_author_s_:
    -
      plugin: sub_process
      source: field_author_s_
      process:
        target_id: tid
  field_below_paragraph:
    -
      plugin: get
      source: field_below_paragraph
  field_button_link:
    -
      plugin: field_link
      source: field_button_link
  field_department:
    -
      plugin: sub_process
      source: field_department
      process:
        target_id: tid
  field_editor_term:
    -
      plugin: sub_process
      source: field_editor_term
      process:
        target_id: tid
  field_event:
    -
      plugin: sub_process
      source: field_event
      process:
        target_id: tid
  field_exclude_from_boxes:
    -
      plugin: get
      source: field_exclude_from_boxes
  field_featured_image:
    -
      plugin: get
      source: field_featured_image
  field_for:
    -
      plugin: sub_process
      source: field_for
      process:
        target_id: tid
  field_image_for_social:
    -
      plugin: get
      source: field_image_for_social
  field_keywords:
    -
      plugin: sub_process
      source: field_keywords
      process:
        target_id: tid
  field_override_bottom_strip:
    -
      plugin: get
      source: field_override_bottom_strip
  field_people:
    -
      plugin: sub_process
      source: field_people
      process:
        target_id: tid
  field_programs:
    -
      plugin: sub_process
      source: field_programs
      process:
        target_id: tid
  field_publish_timestamp:
    -
      plugin: sub_process
      source: field_publish_timestamp
      process:
        value:
          plugin: format_date
          from_format: U
          to_format: U
          source: value
  field_related_pages:
    -
      plugin: field_link
      source: field_related_pages
  field_review_on:
    -
      plugin: sub_process
      source: field_review_on
      process:
        value:
          plugin: format_date
          from_format: U
          to_format: U
          source: value
  field_short_title:
    -
      plugin: get
      source: field_short_title
  field_show_latest_box:
    -
      plugin: get
      source: field_show_latest_box
  field_sitearea:
    -
      plugin: sub_process
      source: field_sitearea
      process:
        target_id: tid
  field_view_permissions:
    -
      plugin: get
      source: field_view_permissions
  group_group:
    -
      plugin: get
      source: group_group
  field_title_deck:
    -
      plugin: get
      source: field_title_deck
  field_short_summary:
    -
      plugin: get
      source: field_short_summary
  field_designation_or_certificati:
    -
      plugin: sub_process
      source: field_designation_or_certificati
      process:
        target_id: tid
  field_boxes2:
    -
      plugin: get
      source: field_boxes2
  field_production_notes:
    -
      plugin: get
      source: field_production_notes
  field_search_promote:
    -
      plugin: sub_process
      source: field_search_promote
      process:
        target_id: tid
  field_enable_comments_on_content:
    -
      plugin: get
      source: field_enable_comments_on_content
  field_enable_authors_on_content:
    -
      plugin: get
      source: field_enable_authors_on_content
  field_disqus_shortname:
    -
      plugin: get
      source: field_disqus_shortname
  field_collections_terms:
    -
      plugin: sub_process
      source: field_collections_terms
      process:
        target_id: tid
  field_exclude_from_boxes2:
    -
      plugin: get
      source: field_exclude_from_boxes2
  field_exclude_from_boxes3:
    -
      plugin: get
      source: field_exclude_from_boxes3
  field_exclude_from_ext_search:
    -
      plugin: get
      source: field_exclude_from_ext_search
  field_keyword_archive:
    -
      plugin: get
      source: field_keyword_archive
  og_vocabulary:
    -
      plugin: get
      source: og_vocabulary
  field_author_group:
    -
      plugin: get
      source: field_author_group
  field_metatag:
    -
      plugin: d7_metatag_entities
      source: pseudo_metatag_entities
destination:
  plugin: 'entity_complete:node'
  translations: true
  default_bundle: site_area
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_comment_field_instance
    - upgrade_d7_metatag_field
    - upgrade_d7_metatag_field_instance
